public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sergey Torokhov" <torokhov-s-a@yandex.ru>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-util/eclipse-parallel-bin/
Date: Fri, 24 Sep 2021 14:08:56 +0000 (UTC)	[thread overview]
Message-ID: <1632492518.b529a19251a10886724ab2d855f89859dfabbd28.SergeyTorokhov@gentoo> (raw)

commit:     b529a19251a10886724ab2d855f89859dfabbd28
Author:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Fri Sep 24 14:07:56 2021 +0000
Commit:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
CommitDate: Fri Sep 24 14:08:38 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b529a192

dev-util/eclipse-parallel-bin: 4.21 version bump

Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>

 dev-util/eclipse-parallel-bin/Manifest             |  2 +
 .../eclipse-parallel-bin-4.21.ebuild               | 44 ++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-util/eclipse-parallel-bin/Manifest b/dev-util/eclipse-parallel-bin/Manifest
index 1d5c2f64a..0de66404d 100644
--- a/dev-util/eclipse-parallel-bin/Manifest
+++ b/dev-util/eclipse-parallel-bin/Manifest
@@ -1,2 +1,4 @@
 DIST eclipse-parallel-2021-06-R-linux-gtk-aarch64.tar.gz 335511560 BLAKE2B 71b277b38335df3e93db1bfb5920cfe692b2237f25669e13e83e779b53459913e9e6d904394e4e63e79ab668a899796d6e00ffe5db118ed46238c5da06e0602d SHA512 9d2e9d89f5021897292dd824a4e9cd495b707958d3c4f4afc0f19e0638af41787824e6b72b6bc84beaea54cb488b9de7d1b4a75ab7e341d54f0e1c0de40d228a
 DIST eclipse-parallel-2021-06-R-linux-gtk-x86_64.tar.gz 335565165 BLAKE2B d4c42681e0d5d1cccd83391776779ef82d429675ce4ae74dbd04edcd84aa1a9e146365a157f4168fdff763d78acfa8b4021cac7152ebaae02ceca6c727d0ab4b SHA512 61609e2d4455f1fa77928b90506f5c00da91e96635ba1011a7db5c43db45ea534155b202aadfc1693bf48c213af505704ad1599d9444160f5520dba80808cfcb
+DIST eclipse-parallel-2021-09-R-linux-gtk-aarch64.tar.gz 338674794 BLAKE2B fd64fc2f126a4bf7518213d4e30a70233729df661ce13d7ef8c16ed72435781488a5aadd53c952bce9608ecc318da49c4ee57867146b745e23b23cf9a8ffa8e1 SHA512 f8e8eb60cc50130343692ddd773c66a920ccea67af2886f7c41f56f56a59babb5cc44210914a07cfb6f7bed690b501b9c2515377794128dae4d7a9834262b0a9
+DIST eclipse-parallel-2021-09-R-linux-gtk-x86_64.tar.gz 338718848 BLAKE2B 0cea9d26a2b4e8dd8afb787e6736f49810a032f157b39e5dd8e15ebd6dc1de479e28a35f5cbeb4330aee95f5aead618e4cfb86ce5ae0f502f1bd11c9c3a2f1a9 SHA512 2ff7d935053abdeb33f29f1cbedbf1a6a4872cc59acc2681d07b8adf09ce57cde2b24dc388262b1963ef4984b341ae102f79ef380635da06325045d09ce9b9b2

diff --git a/dev-util/eclipse-parallel-bin/eclipse-parallel-bin-4.21.ebuild b/dev-util/eclipse-parallel-bin/eclipse-parallel-bin-4.21.ebuild
new file mode 100644
index 000000000..6dcc00c1c
--- /dev/null
+++ b/dev-util/eclipse-parallel-bin/eclipse-parallel-bin-4.21.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop eutils xdg
+
+MY_PN="eclipse"
+MY_PV="2021-09"
+DESCRIPTION="Eclipse IDE for Scientific Computing (C, C++, Fortran)"
+HOMEPAGE="https://www.eclipse.org/"
+SRC_URI="
+	amd64? ( https://download.eclipse.org/technology/epp/downloads/release/${MY_PV}/R/eclipse-parallel-${MY_PV}-R-linux-gtk-x86_64.tar.gz )
+	arm64? ( https://download.eclipse.org/technology/epp/downloads/release/${MY_PV}/R/eclipse-parallel-${MY_PV}-R-linux-gtk-aarch64.tar.gz )
+"
+
+S="${WORKDIR}/${MY_PN}"
+
+LICENSE="EPL-2.0"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~arm64"
+RESTRICT="mirror"
+
+RDEPEND="
+	|| ( dev-java/openjdk:11 dev-java/openjdk-bin:11 dev-java/openjdk-jre-bin:11 dev-java/openjdk-sts-bin:15 )
+	x11-libs/gtk+:3
+"
+
+QA_FLAGS_IGNORED="
+	/opt/eclipse-parallel-bin/eclipse
+	/opt/eclipse-parallel-bin/plugins/org.eclipse.equinox.launcher.gtk.linux.*/eclipse_*.so
+"
+
+src_install() {
+	insinto "/opt/${PN}"
+	doins -r "${S}/."
+
+	exeinto "/opt/${PN}"
+	doexe "${S}/${MY_PN}"
+	make_wrapper ${PN%-*} "/opt/${PN}/${MY_PN} -vm /opt/openjdk*/bin/java" "" "/opt/${PN}" "/opt/bin"
+
+	doicon -s 48 plugins/org.eclipse.platform_4.21.0.v20210906-0500/eclipse48.png
+	make_desktop_entry eclipse-parallel "Eclipse IDE Parallel ${MY_PV}" eclipse48 "Development;" || die "Failed making desktop entry!"
+}


             reply	other threads:[~2021-09-24 14:08 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-09-24 14:08 Sergey Torokhov [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-05 14:54 [gentoo-commits] repo/proj/guru:dev commit in: dev-util/eclipse-parallel-bin/ Sergey Torokhov
2023-09-12 13:58 Sergey Torokhov
2023-05-27 22:22 Rahul Sandhu
2023-05-27 21:21 Sergey Torokhov
2023-04-02 12:10 Sergey Torokhov
2023-03-15 19:36 Sergey Torokhov
2023-01-18 21:32 Sergey Torokhov
2022-12-09 17:21 Sergey Torokhov
2022-12-09 17:10 Sergey Torokhov
2022-10-29 22:05 Sergey Torokhov
2022-10-09 22:29 Sergey Torokhov
2022-04-17 12:42 Sergey Torokhov
2022-04-17 12:42 Sergey Torokhov
2022-04-16 12:06 Sergey Torokhov
2022-01-13 15:36 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2022-01-13 15:36 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2021-12-15 22:51 Sergey Torokhov
2021-09-26 23:16 Sergey Torokhov
2021-09-20  9:41 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2021-09-20  9:32 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2021-09-08 12:47 Sergey Torokhov
2021-09-05 10:39 Sergey Torokhov
2021-09-03 21:10 Sergey Torokhov

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1632492518.b529a19251a10886724ab2d855f89859dfabbd28.SergeyTorokhov@gentoo \
    --to=torokhov-s-a@yandex.ru \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox